// models/Equipment.js
const { DataTypes } = require('sequelize');
const sequelize = require('../config/database');

const Equipment = sequelize.define('Equipment', {
  equipment_id: {
    type: DataTypes.UUID,
    defaultValue: DataTypes.UUIDV4, // สร้าง UUID อัตโนมัติ
    primaryKey: true,
  },
  equipment_name: {
    type: DataTypes.STRING(255),
    allowNull: false,
  },
  description: {
    type: DataTypes.TEXT,
    allowNull: true,
  },
  quantity_total: {
    type: DataTypes.INTEGER,
    allowNull: false,
    defaultValue: 0,
  },
  location: {
    type: DataTypes.STRING(255),
    allowNull: true,
  },
  created_at: {
    type: DataTypes.DATE,
    allowNull: false,
    defaultValue: DataTypes.NOW,
  },
  updated_at: {
    type: DataTypes.DATE,
    allowNull: false,
    defaultValue: DataTypes.NOW,
  },
}, {
  tableName: 'equipments',
  timestamps: false, // ถ้าไม่ใช้ createdAt, updatedAt ตามค่า default ของ sequelize
});

module.exports = Equipment;
